class Bar:
    def __init__(self):
        self.left = []
        self.center = []
        self.right = []

    def add_module(self, module):
        match module.alignment:
            case "left":
                self.left.append(module)
            case "center":
                self.center.append(module)
            case "right":
                self.right.append(module)

    def print(self):
        print("%{l}", end='')
        for module in self.left:
            print(module.text, end='')
        print("%{c}", end='')
        for module in self.center:
            print(module.text, end='')
        print("%{r}", end='')
        for module in self.right:
            print(module.text, end='')

        print(flush=True)
